#ifndef MANDELBROT_H
#define MANDELBROT_H

#include "complex.h"

typedef struct { unsigned char r, g, b; } Color;

int mandelbrot(Complex z0, int max_iter);
Color grey_mandelbrot(Complex z0, int max_iter); // optional, for backward compatibility
Color color_mandelbrot(Complex z0, int max_iter);

#endif
